<form [formGroup]="plantSearchForm" novalidate (ngSubmit)="runSearch()">
  <mat-card class="shipping-card">
    <mat-card-header>
      <mat-card-title>Plant Search</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <div class="row">
        <div class="col">
          <mat-form-field class="full-width">
            <input matInput placeholder="Search Parameters" formControlName="searchBox">
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col">
<!--          symbol-->
<!--          synonym_symbol-->
<!--          scientific_name_with_author-->
<!--          state_common_name-->
<!--          family-->
<!--          state-->
          <table mat-table [dataSource]="plantSearchResults">
            <ng-container matColumnDef="symbol">
              <th mat-header-cell *matHeaderCellDef>Symbol</th>
              <td mat-cell *matCellDef="let plant">{{plant.symbol}}</td>
            </ng-container>
            <ng-container matColumnDef="synonymSymbol">
              <th mat-header-cell *matHeaderCellDef>Synonym Symbol</th>
              <td mat-cell *matCellDef="let plant">{{plant.synonymSymbol}}</td>
            </ng-container>
            <ng-container matColumnDef="scientificNameWithAuthor">
              <th mat-header-cell *matHeaderCellDef>Scientific Name</th>
              <td mat-cell *matCellDef="let plant">{{plant.scientificNameWithAuthor}}</td>
            </ng-container>
            <ng-container matColumnDef="stateCommonName">
              <th mat-header-cell *matHeaderCellDef>State Common Name</th>
              <td mat-cell *matCellDef="let plant">{{plant.stateCommonName}}</td>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="plantSearchResultsColumnsToDisplay"></tr>
            <tr mat-row *matRowDef="let myRowData; columns: plantSearchResultsColumnsToDisplay"></tr>
          </table>
        </div>
      </div>
    </mat-card-content>
    <mat-card-actions>
      <button mat-raised-button color="accent" type="submit">Search</button>
    </mat-card-actions>
  </mat-card>
</form>
